@font-face {
    font-family: 'LATO';
    src: url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap') format('woff2');
   }
  
  *{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: lato;
  }
  
  header{
    width: 100%;
    height: 100vh;
    overflow: hidden;
    background: url(../fotos/sistema.JPG);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
  }
  
  /*Video de fondo*/
  .video-1{
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
  }
  
  .video-1 video{
    z-index: 1;
    width: 100%;
    object-fit: cover;
    position: absolute;
  }
  
  .head{
    background: rgba(228, 228, 228, 0);
    z-index: 999;
    position: relative;
  }
  
  .head-1{
  display: flex;
  justify-content: center;
  }
  
  .nav{
    position: absolute;
    z-index: 999;
  
  }
  
  .nav-2{
  position: absolute;
  display: none;
  opacity: 0;
  }
  
  .logo{
    max-width: 13rem;
  }
  
  
  
  .nav-list{
    display: flex;
    list-style-type: none;
    gap: 6rem;
    align-items: center;
    justify-content: center;
  }
  
  
  
  .nav-list-2{
    display: flex;
    list-style-type: none;
    gap: 2rem;
    margin-top: 2rem;
    align-items: center;
    justify-content: center;
  }
  
  .nav-list li a{
    text-decoration: none;
    color: rgb(255, 255, 255);
    font-size: 2rem;
  }
  
  .abrir-menu{
    display: none;
  }
  
  
  .cerrar-menu{
    display: none;
  }
  
  .abrir-menu{
    padding: 1rem;
    border-radius: 1rem;
    border: none;
    background: rgba(255, 255, 255, 0);
    color: rgb(255, 255, 255);
  }
  
  .cerrar-menu{
    padding: 1rem;
    border-radius: 1rem;
    border: none;
    background: rgba(255, 255, 255, 0);;
  }
  
  .cerrar-menu img, .cerrar-menu img{
    width: 2rem;
  }
  
  .btn-img{
    z-index: 999;
    width: 2rem;
  }
  
  /*Logo centrado*/
  header .fav{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 50vh;
    z-index: 998;
    font-size: 2rem;
    text-align: center;
    width: 100%;
    color: white;
    font-weight: 300;
  }
  
  .logo-res{
  width: clamp(10rem, 3vw, 15rem);
  position: relative;
  display: none;
  }
  
  .equ{
  z-index: 999;
  display: flex;
  padding:  1rem;
  align-items: center;
  justify-content: space-between;
  }

  .intro-dad{
    margin: 20vh 5vh;
    display: grid;
    grid-template-columns: repeat(1,1fr);
    gap: .5rem;
    box-shadow: 0 4px 6px 0 rgb(204, 204, 204);
  }
  
  .intro-1{
    padding: 1rem;
  }

  .intro-1 h1{
    color: rgb(0, 0,128);
    font-size: clamp(2.8rem, 6vw, 4rem);
  }
  
  .intro-1 small{
    font-size: clamp(1.3rem, 4vw, 2rem);
    color: green;
  }

  .intro-1 p{
    padding: 2rem 0;
    font-size: clamp(1.2rem, 3vw, 1.5rem);
  }
  
  .intro-son-1{
    background: url(../fotos/tubos.JPG);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
  }

  
  .intro-3{
    display: grid;
    grid-template-columns: repeat(1,1fr);
    margin: 30vh 2rem;
    gap: 4rem 2rem;
    text-align: center;
  }
  
  .intro-3-0 h1{
    font-size: clamp(2rem, 3.5vw, 4rem);
    color: rgb(0, 0, 128);
  }

  .intro-3-0 small{
    font-size: clamp(1.2rem, 2.5vw, 3rem);
    color: green;
  }
  
  .intro-3-1 h1{
    color: rgb(0, 0, 128);
    font-size: clamp(1.8rem, 2.5vw, 2.8rem);
    padding: 1.5rem 0;
  }

  .intro-3-1 p{
    font-size: clamp(1.2rem, 1.5vw, 1.5rem);
  }

  .intro-3-1 img{
    width: 20%;
  }

.catalo{
    background-color: rgba(236, 236, 236, 0.637);
    padding: 3rem 0;
    position:relative;
}

.catalo-txt{
    padding: 7px 0 0 2rem;
}

.catalo-txt h1{
    color: rgb(0, 0, 128);
    font-weight: 700;
    font-size: 400%;
    margin:0;
}

.catalo-txt small{
    color: rgb(0, 0, 128);
    font-weight: 500;
    font-size: 200%;
}

.cat{
    margin: 6vh 0;
    display: grid;
    grid-template-columns: repeat(6, 15rem);
    grid-template-rows: 18rem;
    gap: 1rem;
    overflow-x: auto;
    overscroll-behavior-x: auto;
    scroll-padding: 0 2rem;
    scroll-behavior: smooth;
    padding: 1rem 2rem;
}

.cat button{
    border: none;
    padding: .5rem;
    position: relative;
    top: 80%;
    transform: translateY(-50%);
    background-color: rgb(0, 0, 128);
    color: white;
    border-radius: 10%;
}

.snaps-inline {
    scrollbar-width: none;
}

.snaps-inline>* {
    scroll-snap-align: start;
}

.cat div{
    box-shadow: 0 4px 6px 0 rgb(204, 204, 204);
    text-align: center;
    border-radius: 5px;
}


.cat-1{
    background-image: url(../img/tuberias.png);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
}

.cat-2{
    background-image: url(../img/codo.jfif);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
}

.cat-3{
    background-image: url(../img/codo-4.webp);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
}

.cat-4{
    background-image: url(../img/codos-2.webp);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
}

.cat-5{
    background-image: url(../img/codo-rec.jfif);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
}

.cat-6{
    background-image: url(../img/codo-rar.jpg);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
}

/*Modal General*/
.sec-modal{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 1rem;
}

.modal-img{
    text-align: center;
    position: relative;
}

.modal-img::after{
    content: "";
    height: 100%;
    width: 5px;
    background: rgb(0, 0, 128);
    position: absolute;
    right: 0;
}

.modal-text h1{
    font-weight: 900;
    color: rgb(0, 0, 128);
    padding-bottom: 1rem;
}

.model-ul{
    list-style: none;
    padding: 0;
}

.model-ul strong{
    color: rgb(0, 0, 128);
}

.modal-img img{
    width: 100%;
}

.ul-img img{
    background-color: rgb(0, 0, 128);
    width: 10%;
    padding: .2rem;
    margin:1rem 5   px;
    border-radius: 10px;
}

.left, .right{
    display:none;
}

/*Aspersion*/
.cat-asper{
    margin: 6vh 0;
    display: grid;
    grid-template-columns: repeat(6, 15rem);
    grid-template-rows: 18rem;
    gap: 1rem;
    overflow-x: auto;
    overscroll-behavior-x: auto;
    scroll-padding: 0 2rem;
    scroll-behavior: smooth;
    padding: 1rem 2rem;
}

.left-asper, .right-asper{
    display: none;
}

.snaps-inline {
    scrollbar-width: none;
}

.snaps-inline>* {
    scroll-snap-align: start;
}

.cat-asper div{
    box-shadow: 0 4px 6px 0 rgb(204, 204, 204);
    text-align: center;
    border-radius: 5px;
}

.cat-asper button{
    border: none;
    padding: .5rem;
    position: relative;
    top: 80%;
    transform: translateY(-50%);
    background-color: rgb(0, 0, 128);
    color: white;
    border-radius: 10%;
}

.cat-asper-1{
    background-image: url(../img/CONECTORMICRONETGRMACHO.jpg);
    background-position: top;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
}

.cat-asper-2{
    background-image: url(../img/ESTABILIZADORP-TUBO.jpg);
    background-position: top;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
}

.cat-asper-3{
    background-image: url(../img/MICROTUBOCONESTABILIZADOR.jpg);
    background-position: top;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
}

.cat-asper-4{
    background-image: url(../img/SPINNET.jpg);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
}

.cat-asper-5{
    background-image: url(../img/SUPERNET.jpg);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
}

.cat-asper-6{
    background-image: url(../img/ESTACA+TUBINP-GYRONET.jpg);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
}

@media screen and (min-width:767px) {

    .partes-tit:first-child{
      grid-column: 1/3;
    }

    .equipos{
        grid-template-columns: repeat(2, 1fr);
        column-gap: 2rem;
    }

    .equipos-tit:first-child{
        grid-column: 1/3;
    }

    .intro-dad{
      grid-template-columns: repeat(2,1fr);
    }

    .intro-3{
      grid-template-columns: repeat(2,1fr)
}

.intro-3-0:first-child{
  grid-column: 1/3;
}

.partes{
  grid-template-columns: repeat(2, 1fr);
}

    .partes-tit:first-child{
      grid-column: 1/3;
    }

    .partes{
  grid-template-columns: repeat(2, 1fr);
}
    
    
}

@media screen and (min-width:1024px){

    .partes{
      grid-template-columns: repeat(3,1fr);
    }

    .partes-tit:first-child{
      grid-column: 1/4;
    }

    .equipos{
      margin: 0 2rem;
    }

    .img-eq, .img-eq-1, .img-eq-2, .img-eq-3, .img-eq-4, .img-eq-5{
      max-height: 12rem;
    }

    
    .intro-3{
      grid-template-columns: repeat(3,1fr);
    }

    .intro-3-0:first-child{
      grid-column: 1/4;
      text-align: center;
    }



    .equipos{
        grid-template-columns: repeat(3, 1fr);
        column-gap: 2rem;
        
    }

    .equipos-tit:first-child{
        grid-column: 1/4;
    }
    
    .partes{
      grid-template-columns: repeat(3,1fr);
    }

    .partes-tit:first-child{
      grid-column: 1/4;
    }

    .cat{
        grid-template-columns: repeat(6, 18rem);
        grid-template-rows: 23rem;
    }


    .cat div{
        transition: .4s ease-in-out;
    }

    .cat div:hover{
        scale: 1.04;
    }

    .left{
        background: rgba(207, 207, 207, 0.637);     
        position: absolute;
        padding: 1rem;
        top: 60%;
        transform: translateY(-50%);
        border-radius: 40%;
        z-index: 999;
        left: 10px;
        font-size: 1.5rem;
        border: none;
        transition: .4s;
        display:block;
    }

    .right{
        background: rgba(207, 207, 207, 0.637);
        position: absolute;
        padding: 1rem;
        top: 60%;
        transform: translateY(-50%);
        border-radius: 40%;
        z-index: 999;
        right: 10px;
        font-size: 1.5rem;
        border: none;
        transition: .4s;
        display:block;
    }

    .left:hover, .right:hover{
        background-color: rgba(128, 128, 128, 0.726);
        color: white;
    }

    /*Aspersion*/
    .cat-asper{
        grid-template-columns: repeat(6, 18rem);
        grid-template-rows: 23rem;
    }


    .cat-asper div{
        transition: .4s ease-in-out;
    }

    .cat-asper div:hover{
        scale: 1.04;
    }

    .left-asper{
        background: rgba(207, 207, 207, 0.637);     
        position: absolute;
        padding: 1rem;
        top: 60%;
        transform: translateY(-50%);
        border-radius: 40%;
        z-index: 999;
        left: 10px;
        font-size: 1.5rem;
        border: none;
        transition: .4s;
        display: block;
    }

    .right-asper{
        background: rgba(207, 207, 207, 0.637);
        position: absolute;
        padding: 1rem;
        top: 60%;
        transform: translateY(-50%);
        border-radius: 40%;
        z-index: 999;
        right: 10px;
        font-size: 1.5rem;
        border: none;
        transition: .4s;
        display: block;
    }

    .left-asper:hover, .right-asper:hover{
        background-color: rgba(128, 128, 128, 0.726);
        color: white;
    }
}



@media screen and (max-width: 1200px){
    /*Modla Cat-1*/
    .sec-modal{
        grid-template-columns:  1fr;
        grid-template-rows: repeat(2,1fr);
    }


    .modal-img::after{
        content: "";
        height: 5px;
        width: 100%;
        background: rgb(0, 0, 128);
        position: absolute;
        bottom: 0;
    }

    .modal-img img{
        width: 50%;
    }
}




  @media screen and (width <= 1061px){
    .logo-res{
      display: block;
    }
  
    .intro-p{
        line-height: 2.3rem;
    }
  
    .abrir-menu,.cerrar-menu{
      display: block;
    }
  
    .abrir-menu{
        position: relative;
        
    }
  
    .nav{
      opacity: 0;
      visibility: hidden;
      display: none;
    }
  
    .nav-2{
    display: none;
      opacity:0;
      display: flex;
      flex-direction: column;
      align-items: end;
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      padding: 1.6rem 2rem;
      box-shadow: 0 0 0 100vmax rgba(0, 0, 0, .2);
      z-index: 999;
      background: rgb(255, 255, 255);
      height: 100vh;
      visibility: hidden;
    }
  
    .logo{
        position: relative;
        left: -3rem;
        display: none;
    }
  
    .nav-2.visible{
      opacity: 20;
      visibility: visible;
      background: rgb(0, 0, 128);
      height: 100vh;
      z-index: 1;
    }
  
    .nav-list-2{
      flex-direction: column;
      align-items: end;
      gap: 10px;
      position: relative;
    }
  
    .nav-list-2 li a{
      color: white;
      text-decoration: none;
      font-size: 2rem;
    }
  
    .mapadiv{
        width: 100%;
        left: -10px;
    }
  }
